Subject: Re: bug#78458: 31.0.50; treesit.el: thing navigation functions work incorrectly with some Clojure nodes

From: Roman Rudakov <[email-masked]>
Date: Tue, 20 May 2025 10:50:24 +0200

Juri Linkov <[email-masked]> writes:

> close 78458 31.0.50
> thanks
>
>>>> Since the treesit grammar can't handle this case,
>>>> you could try to use the default function by
>>>>
>>>>   (setq-local down-list-function nil)
>>> Thank you! That is very helpful. I was able to use your patch with
>>> small modifications to make it work for function literals and sets
>>> (that have the same # marker node).  I'll try to discuss with the
>>> author of the grammar possibility to modify it to have just one
>>> 'open:' node instead of two.

I've checked bash-ts-mode, and 'down-list' function jumps to the 
proper place (right after opening paren), so I guess having one node 
instead of two would help with navigation a little bit.

>
> One node instead of two would be nicer for such things as
> show-paren-mode.  But probably it won't much of help for navigation.
> For example, bash-ts-mode still requires the trick with 
> 'sexp-default'
> even when the bash grammar defines "$(" as a single node.
>
>>> I think this bug can be closed now.
>
> Ok, so closing now.
>
>> One more question.  Will the trick with defining 'sexp-default' 
>> work in
>> Emacs 30?  Or is it a new "thing" which is only available in 
>> master?
>
> Alas, 'sexp-default' is available only in master.

Thanks for confirmation.
--
Best regards, Roman